Subject: AW: [AVT] Question on AMR-RTP-verion -10 PL format

From: Faerber Tobias ICM MP PO8 RD MCH83 <[email-masked]>
Date: Wed, 24 Oct 2001 15:31:57 +0200

Hi Pekka,
I guess the suggestion to use two streams is not so good because timestamp
info can be adapted in every RTP Header,but sequence numbers would be
different and that will can cause problems at the moment of switching, I see
no reason for using 2 RTSP sessions. 
With the PL-Type you always get signaled which timestamp solution to be
used. So why should there be a need to 2 RTSP sessions, if only causes more
Signalisation work.

regards,
Tobi

----------------------------------------------------------------------------
-------
> Faerber Tobias		Siemens AG
ICM MP PO8 RD MCH83 	Information and Communication Mobile

> -----Ursprüngliche Nachricht-----
> Von:	Pekka Pessi [SMTP:[email-masked]]
> Gesendet am:	Mittwoch, 24. Oktober 2001 14:38
> An:	Magnus Westerlund
> Cc:	Faerber Tobias ICM MP PO8 RD MCH83; [email-masked]
> Betreff:	Re: [AVT] Question on AMR-RTP-verion -10 PL format
> 
> In message <[email-masked]> Magnus Westerlund
> <[email-masked]> writes:
> >You can assign two payload types, one of AMR and one for AMR-WB in the
> >same media line in the SDP description. Then the server can switch
> >between them. The problem in a streaming session is that there is no
> >RTP channel in the direction client - server which can be used for
> >signaling codec mode request.
> 
> 	I think that two separate RTSP (and RTP) sessions is best
> 	solution for this problem.  If there are two RTSP-level
> 	sessions, the RTSP client can PAUSE one session and PLAY another
> 	when it wants to change the codec.  The reason for two RTP
> 	sessions is difference in timestamp resolution, which is 8000 Hz
> 	AMR and 16000 Hz for AMR-WB.  At least, the AMR-WB stream should
> 	have different SSRC (hence it can use different TS/SEQ space).
> 
> 					Pekka Pessi
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www1.ietf.org/mailman/listinfo/avt